package cn.ysk.cashier.service;

import cn.ysk.cashier.dto.TbPlatformDictQueryCriteria;
import cn.ysk.cashier.dto.TbVersionDto;
import cn.ysk.cashier.dto.TbVersionQueryCriteria;
import cn.ysk.cashier.pojo.TbVersion;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

/**
 * @website https://eladmin.vip
 * @description 服务接口
 * @author ww
 * @date 2024-03-29
 **/
public interface TbVersionService {

    /**
     * 查询数据分页
     * @param criteria 条件
     *  pageable 分页参数
     * @return Map<String,Object>
     */
    Map<String,Object>  queryAllPage(TbVersionQueryCriteria criteria);

    /**
     * 查询所有数据不分页
     * @param criteria 条件参数
     * @return List<TbVersionDto>
     */
    List<TbVersionDto> queryAll(TbVersionQueryCriteria criteria);

    /**
     * 根据ID查询
     * @param id ID
     * @return TbVersionDto
     */
    TbVersionDto findById(Integer id);

    /**
     * 创建
     * @param resources /
     * @return TbVersionDto
     */
    TbVersionDto create(TbVersion resources);

    /**
     * 编辑
     * @param resources /
     */
    void update(TbVersion resources);

    void updateSel(TbVersion resources);

    /**
     * 多选删除
     * @param ids /
     */
    void deleteAll(Integer[] ids);
}